#include "lib/std.mi"
#include "lib/com/songinfo.m"
#include "lib/pldir.mi"
#include "lib/config.mi"
#include "lib/winampconfig.mi"
#include "lib/application.mi"

#include "ATTRIBUTES/ATTRIBUTES.m"

Global Group CONF_sg, SUI_sg;
Global Boolean startup;
Function updateTabPos();

/* Подлючение СУИ. */
#include "CORE_SCRIPT/SUI_LAYOUT_SCRIPT/SUICORE.m"
#include "CORE_SCRIPT/SUI_LAYOUT_SCRIPT/BROWSER_LIBRARY.m"
#include "CORE_SCRIPT/SUI_LAYOUT_SCRIPT/BUTTONS_AND_PANELS.m"

/* Подключение конфигураторов */
#include "CORE_SCRIPT/APPEARANCE_CONFIGURATOR.m"

/* Загрузка подскриптов */
System.onScriptLoaded() 
{
	startup = 1;

	initATTRIBUTES();	
	
	
    SUI_sg = System.getContainer("SUI").getLayout("normal");
	CONF_sg = System.getContainer("Config").getLayout("normal");
    

	/*  Суи */
	init_SUICORE();
	init_BROWSER_LIBRARY();
	init_BUTTONS_AND_PANELS();
	
	
	/* КОНФИГУРАТОРЫ */
	
	init_APPEARANCE_CONFIGURATOR();
	
	
	startup = 0;
}


/* Выгрузка подскриптов */
System.onScriptUnloading()

{
    unload_SUICORE();
	unload_BROWSER_LIBRARY();
	
}


System.onTitleChange (String newtitle)
{ 	
	string AAsourse = getPlayItemMetaDataString("filename");
	Sui_AArt.setXmlParam("source", param);
}