#include "lib/std.mi"
#include "lib/com/songinfo.m"
#include "lib/pldir.mi"
#include "ATTRIBUTES/ATTRIBUTES.m"
#include "lib/com/rotationlayer.m"
Global Group sg;
Global Boolean startup;

#include "MAIN_LAYOUT_1_SCRIPT/SONGTICKER.M"
#include "MAIN_LAYOUT_1_SCRIPT/CAS.M"
#include "MAIN_LAYOUT_1_SCRIPT/TIMER.M"
#include "MAIN_LAYOUT_1_SCRIPT/DISP_INFO.M"
#include "MAIN_LAYOUT_1_SCRIPT/MUTE.M"
#include "MAIN_LAYOUT_1_SCRIPT/CONFIG_LAYOUT_1.M"
#include "MAIN_LAYOUT_1_SCRIPT/MAINBT.m"



System.onScriptLoaded() 
{
	startup = 1;
	
	initATTRIBUTES();	
	
	sg = getScriptGroup();
    initCONFIG_LAYOUT_1();
	initSONGTICKER();
	initTIMER();
	initDISP_INFO();
	initCAS();
    initMUTE();
    initMAINBT();

	startup = 0;
}

System.onTitleChange (String newtitle)
{ 	
	TIMER_onTitleCh();
	CAS_onTitleCh();
	DISP_INFO_onTitleCh();
}

System.onScriptUnloading() {
	unloadTIMER();
	unloadDISP_INFO();
	unloadCAS();
	unloadSONGTICKER();

	
}