#include "lib/std.mi"
#include "lib/com/songinfo.m"
#include "lib/pldir.mi"
#include "lib/config.mi"
#include "lib/winampconfig.mi"
#include "lib/application.mi"

#include "ATTRIBUTES/ATTRIBUTES.m"

#define WEBCOVER_SHOUTCAST "cover.aolr"

Global Group scriptGroup;
Global Boolean startup;

/* Подключение плейлиста */

#include "PLAYLIST_LAYOUT_SCRIPT/COVERFLOW.M"
#include "PLAYLIST_LAYOUT_SCRIPT/PLAYLISTPRO.M"
#include "PLAYLIST_LAYOUT_SCRIPT/FILEINFO.M"
#include "PLAYLIST_LAYOUT_SCRIPT/PLSWITCH.M"

/* Загрузка подскриптов */
System.onScriptLoaded() 
{
	startup = 1;

	initATTRIBUTES();	
	
	scriptGroup = getScriptGroup();
   
    
	/* Плейлист */
	
    init_COVERFLOW();
    init_PLAYLISTPRO();
	init_FILEINFO();
	init_PLSwitch();
	startup = 0;
}


/* Выгрузка подскриптов */
System.onScriptUnloading()

{
    unload_PLAYLISTPRO();
	unload_FILEINFO();
	unload_COVERFLOW();
}

/* Смена названия трека. */
System.onTitleChange (String newtitle)
{ 	
	onTitleCh_COVERFLOW();
	onTitleCh_FILEINFO();
}