/*

*/

#include "lib/std.mi"
#include "ATTRIBUTES/ATTRIBUTES.m"

Function int getLevelL(int ch);
Function int compress(int val);


Global Group tg;
Global animatedLayer SpeakerVis;


Global Timer SpeakerMov;

Global Int MaxA, levelL;

System.onScriptUnloading() 
{
  delete SpeakerMov;
}

System.onScriptLoaded() {

	initATTRIBUTES();
	
	tg = getScriptGroup();
	MaxA=0;

	SpeakerVis = tg.getObject("SpeakerVis");

	SpeakerMov = new Timer;
	SpeakerMov.setDelay(10);



}


tg.onSetVisible(int on) 
{	
    if (on)
	{
		SpeakerMov.start();
		return;
	}
	else 
	{
		SpeakerMov.stop();
	}
}


 
SpeakerMov.onTimer() 
{

        levelL = (getVisBand(0,0)*2);// When falling down
		
		if ( MaxA >= levelL)
		{
			levelL =0;
			MaxA=0;
		}
		else 
		{
			MaxA = levelL;
		}		
			
		SpeakerVis.gotoFrame(levelL/30);
}



SCALING_Chng.onDataChanged()
{
	Layout Sl = tg.getParentLayout();

	int nu = getPrivateInt(getSkinName(), "SCALING", 100);	
	if (nu == 100) Sl.setScale(1);
	else if (nu == 125) Sl.setScale(1.25);
	else if (nu == 150) Sl.setScale(1.5);
	else if (nu == 175) Sl.setScale(1.75);
	else if (nu == 200) Sl.setScale(2);
	else if (nu == 250) Sl.setScale(2.5);
	else if (nu == 300) Sl.setScale(3);

} 
