/*
The script to smoothly animate needles in VU meters.
entrase@yandex.ru
*/

#include "lib/std.mi"
#include "ATTRIBUTES/ATTRIBUTES.m"

Function VUmode_Fn();
Function fxInit();

Function int getLevelR(int ch);
Function int compress(int val, double c);
Global Layer needleR;

Function int getLevelL(int ch);

Global Layer needleL;

Global Timer mover, volumenotifier;
Global Layer Scale, VuSdw;
Global Double LARR,levelR,LARL,levelL,sens;
Global animatedLayer beatVisL, beatVisR, beatVisLSdw, beatVisRSdw;
Global Int rising,framesnum, falling, VUmode,whatshow, limit;

Global Group tg, CAS;

System.onScriptUnloading() 
{
  delete mover;
}

System.onScriptLoaded() {
	
	initATTRIBUTES();
	
	
	tg = getScriptGroup();
	
	CAS = getContainer("main").getLayout("normal").findObject("LAYOUT_1.CAS.grp");
	
	beatVisL = tg.getObject("LVLleft");
	beatVisR = tg.getObject("LVLright");
	beatVisLSdw = tg.getObject("LVLleftSdw");
	beatVisRSdw = tg.getObject("LVLrightSdw");
	
	needleR = tg.getObject("needleR");
	needleL = tg.getObject("needleL");
	

	Scale = tg.getObject("SCALE");
	VuSdw = tg.getObject("VUSDW");
  
	sens = 1.25;

	fxInit();// fx initialization
	mover = new Timer;
	mover.setDelay(10);
/* 	volumenotifier = new Timer;
	volumenotifier.setDelay(3000);
	whatshow = 0; */
	VUmode_Fn();
}


tg.onSetVisible(int on) 
{	
    if (on)
	{
		mover.start();
		return;
	}
	else 
	{
		needleR.fx_setEnabled(0);
		needleL.fx_setEnabled(0); 
        mover.stop();
	}
}




Scale.onLeftButtonDown (int x, int y)
{ 
 	if (L_1_vis_Technics1.getData() == "1") 
	{
		L_1_vis_Cas.setData("1"); 
		return;
	}

 	if (L_1_vis_RT.getData() == "1") 
	{
		L_1_vis_Technics1.setData("1"); 
		return;
	}

 	if (L_1_vis_MC.getData() == "1") 
	{
		L_1_vis_Technics1.setData("1"); 
		return;
	}
 
	if (L_1_vis_Ovis2.getData() == "1") 
	{
		L_1_vis_MC.setData("1"); 
		return;
	}
	
 
 	if (L_1_vis_Ovis1.getData() == "1") 
	{
		L_1_vis_Ovis2.setData("1"); 
		return;
	}
	
 
	if (L_1_vis_DefBT.getData() == "1") 
	{
		/* L_1_vis_Ovis1.setData("1");  */
		L_1_vis_MC.setData("1"); 
		
		return;
	}
	

	if (L_1_vis_DefLR.getData() == "1") 
	{
		L_1_vis_DefBT.setData("1"); 
		
		return;
	}
 
 
}


/* ПРИ ИЗМЕНЕНИЙ КОНФИГУРАЦИОННЫХ АТРИБУТ */

/* КАСЕТА */
L_1_vis_Cas.onDataChanged ()
{
	if (L_1_vis_Cas.getData() == "1") 
	{
		L_1_vis_DefLR.setData("0");
		L_1_vis_DefBT.setData("0");
		L_1_vis_MC.setData("0");
		L_1_vis_Ovis1.setData("0");
		L_1_vis_Ovis2.setData("0");
		L_1_vis_RT.setData("0");
		L_1_vis_Technics1.setData("0");
		
		setPrivateInt(getSkinName(), "CurVuVis", 2);
		VUmode_Fn();

	}
}

/* ЛЕВЫЙ ПРАВЫЙ  */
L_1_vis_DefLR.onDataChanged ()
{
	if (L_1_vis_DefLR.getData() == "1") 
	{
		L_1_vis_Cas.setData("0");
		L_1_vis_DefBT.setData("0");
		L_1_vis_MC.setData("0");
		L_1_vis_Ovis1.setData("0");
		L_1_vis_Ovis2.setData("0");
		L_1_vis_RT.setData("0");
		L_1_vis_Technics1.setData("0");
		
		setPrivateInt(getSkinName(), "CurVuVis", 1);
		VUmode_Fn();

	}
}

/* БАС ТРОЙНОЙ */
L_1_vis_DefBT.onDataChanged ()
{
	if (L_1_vis_DefBT.getData() == "1") 
	{
		L_1_vis_Cas.setData("0");
		L_1_vis_DefLR.setData("0");
		L_1_vis_MC.setData("0");
		L_1_vis_Ovis1.setData("0");
		L_1_vis_Ovis2.setData("0");
		L_1_vis_RT.setData("0");
		L_1_vis_Technics1.setData("0");
		
		setPrivateInt(getSkinName(), "CurVuVis", 0);
		VUmode_Fn();
	}
}

/* TBProAudio1 */
L_1_vis_Ovis1.onDataChanged ()
{
	if (L_1_vis_Ovis1.getData() == "1") 
	{
		L_1_vis_Cas.setData("0");
		L_1_vis_DefLR.setData("0");
		L_1_vis_MC.setData("0");
		L_1_vis_DefBT.setData("0");
		L_1_vis_Ovis2.setData("0");
		L_1_vis_RT.setData("0");
		L_1_vis_Technics1.setData("0");
		
		setPrivateInt(getSkinName(), "CurVuVis", 4);
		VUmode_Fn();
	}
}

/* TBProAudio2 */
L_1_vis_Ovis2.onDataChanged ()
{
	if (L_1_vis_Ovis2.getData() == "1") 
	{
		L_1_vis_Cas.setData("0");
		L_1_vis_DefLR.setData("0");
		L_1_vis_MC.setData("0");
		L_1_vis_DefBT.setData("0");
		L_1_vis_Ovis1.setData("0");
		L_1_vis_RT.setData("0");
		L_1_vis_Technics1.setData("0");
		
		setPrivateInt(getSkinName(), "CurVuVis", 5);
		VUmode_Fn();
	}
}



/* МАКИНТОШ */
L_1_vis_MC.onDataChanged ()
{
	if (L_1_vis_MC.getData() == "1") 
	{
		L_1_vis_Cas.setData("0");
		L_1_vis_DefLR.setData("0");
		L_1_vis_DefBT.setData("0");
		L_1_vis_Ovis1.setData("0");
		L_1_vis_Ovis2.setData("0");
		L_1_vis_RT.setData("0");
		L_1_vis_Technics1.setData("0");
		
		setPrivateInt(getSkinName(), "CurVuVis", 3);
		VUmode_Fn();
	}
}


/* РАДИОТЕХНИКА */
L_1_vis_RT.onDataChanged ()
{
	if (L_1_vis_RT.getData() == "1") 
	{
		L_1_vis_MC.setData("0");
		L_1_vis_Cas.setData("0");
		L_1_vis_DefLR.setData("0");
		L_1_vis_DefBT.setData("0");
		L_1_vis_Ovis1.setData("0");
		L_1_vis_Ovis2.setData("0");
		L_1_vis_Technics1.setData("0");
		
		setPrivateInt(getSkinName(), "CurVuVis", 6);
		VUmode_Fn();
	}
}


/* Technics */
L_1_vis_Technics1.onDataChanged ()
{
	if (L_1_vis_Technics1.getData() == "1") 
	{
		L_1_vis_MC.setData("0");
		L_1_vis_Cas.setData("0");
		L_1_vis_DefLR.setData("0");
		L_1_vis_DefBT.setData("0");
		L_1_vis_Ovis1.setData("0");
		L_1_vis_Ovis2.setData("0");
		L_1_vis_RT.setData("0");
		
		setPrivateInt(getSkinName(), "CurVuVis", 7);
		VUmode_Fn();
	}
}


VUmode_Fn()
{
	int CurVuVis = getPrivateInt(getSkinName(), "CurVuVis", 2);
	
	if (CurVuVis == 0) /* БАС ТРОЙНОЙ */
	{
	
			
		needleR.fx_setEnabled(1);
		needleL.fx_setEnabled(1);   
		
		needleL.setXMLparam("image", "needleimgDef");	
		needleL.setXMLparam("x", "-38");	
		needleL.setXMLparam("y", "-20");	
		
		needleR.setXMLparam("image", "needleimgDef");	
		needleR.setXMLparam("x", "94");	
		needleR.setXMLparam("y", "-20");	
		needleR.setXMLparam("w", "210");	
		needleR.setXMLparam("h", "210");	
		
		beatVisR.hide();
		beatVisL.hide();
		beatVisRSdw.hide();
		beatVisLSdw.hide();		
		

		falling =16;

		rising=19;
		limit = 53;
		
		VUmode=0;
		
		
		VuSdw.setXMLparam("image", "DEFPro1sdw");
		VuSdw.show();
		Scale.setXMLparam("image", "SCALE1DEFBT");	
		Scale.setXMLparam("tooltip", "");
		
		needleR.show();
		needleL.show();
		tg.show(); 
		CAS.hide(); 
		return;
	}
	
	else if (CurVuVis == 1)/*  ЛЕВЫЙ ПРАВЫЙ */
	{
			tg.hide(); 
		needleR.fx_setEnabled(1);
		needleL.fx_setEnabled(1); 
		

		needleL.setXMLparam("image", "needleimgDef");	
		needleL.setXMLparam("x", "-38");	
		needleL.setXMLparam("y", "-18");	
		
		needleR.setXMLparam("image", "needleimgDef");	
		needleR.setXMLparam("x", "94");	
		needleR.setXMLparam("y", "-18");	
		needleR.setXMLparam("w", "210");	
		needleR.setXMLparam("h", "210");	
		
		
		beatVisR.hide();
		beatVisL.hide();
		beatVisRSdw.hide();
		beatVisLSdw.hide();		
		

		falling = 16;
		rising = 19;
		limit = 52;
		
		VUmode=1;
		
		VuSdw.setXMLparam("image", "DEFPro1sdw");
		VuSdw.show();
		
		Scale.setXMLparam("image", "SCALE2DEFLR");	
		Scale.setXMLparam("tooltip", "");
		
		needleR.show();
		needleL.show();
		tg.show(); 
		CAS.hide(); 
		return;
	}

	if (CurVuVis == 4) /* ДРУГАЯ 1 */
	{
/* 		needleR.fx_setEnabled(1);
		needleL.fx_setEnabled(1);   
		
		needleL.setXMLparam("image", "needleimgNEON");	
		needleL.setXMLparam("x", "-38");	
		needleL.setXMLparam("y", "-20");	
		
		needleR.setXMLparam("image", "needleimgNEON");	
		needleR.setXMLparam("x", "94");	
		needleR.setXMLparam("y", "-20");	
		
		beatVisR.hide();
		beatVisL.hide();
		beatVisRSdw.hide();
		beatVisLSdw.hide();
		
		needleR.show();
		needleL.show();
		falling =16;
		rising=9;
		limit = 52;
		
		VUmode=1;
		
		VuSdw.setXMLparam("image", "DEFPro1sdw");
		
		VuSdw.show();
		Scale.setXMLparam("image", "SCALENEON");
		Scale.setXMLparam("tooltip", "SCALENEON");
		tg.show(); 
		CAS.hide(); 
		return; */
	}
	
	if (CurVuVis == 5) /* ДРУГАЯ 2 */
	{
/* 		needleR.fx_setEnabled(1);
		needleL.fx_setEnabled(1);   
		
		needleL.setXMLparam("image", "needleimgDef");	
		needleL.setXMLparam("x", "-83");	
		needleL.setXMLparam("y", "-65");	
		
		needleR.setXMLparam("image", "needleimgDef");	
		needleR.setXMLparam("x", "48");	
		needleR.setXMLparam("y", "-65");	
		
		beatVisR.hide();
		beatVisL.hide();
		beatVisRSdw.hide();
		beatVisLSdw.hide();
		
		needleR.show();
		needleL.show();
		falling =16;
		rising=9;
		limit = 52;
		
		VUmode=1;
		
		VuSdw.setXMLparam("image", "DEFPro1sdw");
		
		VuSdw.show();
		Scale.setXMLparam("image", "SCALENEON");	
		Scale.setXMLparam("tooltip", "");
		tg.show(); 
		CAS.hide(); 
		return; */
	}

	
	else if (CurVuVis == 2)/* КАСЕТА*/
	{
		needleR.fx_setEnabled(0);
		needleL.fx_setEnabled(0); 
		tg.hide(); 
		
		
		CAS.show(); 
		
		return;
	}
	
	else if (CurVuVis == 3) /* МАКИНТОШ */
	{
		CAS.hide();
		VuSdw.hide();
		needleL.hide();
		needleR.hide();
		beatVisR.hide();
		beatVisL.hide();
		beatVisRSdw.hide();
		beatVisLSdw.hide();
		
		VUmode=3;
		
		needleR.fx_setEnabled(1);
		needleL.fx_setEnabled(0); 
		
		needleR.setXMLparam("image", "NEEDLE1MC");	
		needleR.setXMLparam("x", "-70");	
		needleR.setXMLparam("y", "-62");	
		needleR.setXMLparam("w", "400");	
		needleR.setXMLparam("h", "400");	
		
		
		falling = 20;
		rising = 36;
		limit = 53;
		Scale.setXMLparam("image", "SCALE3MC");
		Scale.setXMLparam("tooltip", "Vu meter used on McIntosh MC2KW Amplifier");

		needleR.show();
		tg.show(); 
		return;
		
	}
	
	if (CurVuVis == 6) /* РАДИОТЕХНИКА */
	{
		needleR.fx_setEnabled(0);
		needleL.fx_setEnabled(0);   

		needleR.hide();
		needleL.hide();
		
		
	
	
		beatVisR.setXMLparam("image", "RT_Right");	
		beatVisL.setXMLparam("image", "RT_Left");	
		beatVisRSdw.setXMLparam("image", "RT_Right");	
		beatVisLSdw.setXMLparam("image", "RT_Left");	
		beatVisR.setXMLparam("x", "59");	
		beatVisL.setXMLparam("x", "59");	
		beatVisRSdw.setXMLparam("x", "59");	
		beatVisLSdw.setXMLparam("x", "59");	
		
		beatVisR.setXMLparam("y", "40");	
		beatVisL.setXMLparam("y", "2");	
		beatVisRSdw.setXMLparam("y", "40");	
		beatVisLSdw.setXMLparam("y", "2");	
		
	
	
	
		beatVisR.show();
		beatVisL.show();
		beatVisRSdw.show();
		beatVisLSdw.show();
	
	
	
		rising = 20;
		falling = 12;

		framesnum = 13;
		VUmode=4;
		
		VuSdw.setXMLparam("image", "display3VUSDW");
		
		VuSdw.show();
		
		Scale.setXMLparam("image", "RT_BG");	
		Scale.setXMLparam("tooltip", "P402. The vu meter, popular in the USSR");
		
		tg.show(); 
		CAS.hide(); 
		return;
	}
	
	if (CurVuVis == 7) /* Technics */
	{
		needleR.fx_setEnabled(0);
		needleL.fx_setEnabled(0);   

		needleR.hide();
		needleL.hide();
		
		
		beatVisR.setXMLparam("image", "Technics1_Right");	
		beatVisL.setXMLparam("image", "Technics1_Left");	
		beatVisRSdw.setXMLparam("image", "Technics1_Right");	
		beatVisLSdw.setXMLparam("image", "Technics1_Left");	
		
		beatVisR.setXMLparam("x", "8");	
		beatVisL.setXMLparam("x", "8");	
		beatVisRSdw.setXMLparam("x", "8");	
		beatVisLSdw.setXMLparam("x", "8");	
		
		
		beatVisR.setXMLparam("y", "41");	
		beatVisL.setXMLparam("y", "2");	
		beatVisRSdw.setXMLparam("y", "41");	
		beatVisLSdw.setXMLparam("y", "2");	

		beatVisR.show();
		beatVisL.show();
		beatVisRSdw.show();
		beatVisLSdw.show();
	
		rising = 12;
		falling = 10;

		framesnum = 15;
		 
		VUmode=4;

		
		VuSdw.setXMLparam("image", "display3VUSDW");
		
		VuSdw.show();
		
		Scale.setXMLparam("image", "Technics1_BG");	
		Scale.setXMLparam("tooltip", "Vu meter used on Technics cassette deck");
		
		tg.show(); 
		CAS.hide(); 
		return;
	}
	
}
/* 
volumenotifier.onTimer() {
	whatshow = 0;
	volumenotifier.stop();
} */

/* System.onVolumeChanged(int vol) {
	whatshow = 1;
	volumenotifier.start();
}
 */

/* МЕХАНИЗМ */
fxInit() 
{
  needleR.fx_setGridSize(6,6);
  needleR.fx_setBgFx(0);
  needleR.fx_setWrap(0);
  needleR.fx_setBilinear(1);
  needleR.fx_setRect(0);
  needleR.fx_setClear(0);
  needleR.fx_setLocalized(1);
  needleR.fx_setRealtime(0);

  
  needleL.fx_setGridSize(6,6);
  needleL.fx_setBgFx(0);
  needleL.fx_setWrap(0);
  needleL.fx_setBilinear(1);
  needleL.fx_setRect(0);
  needleL.fx_setClear(0);
  needleL.fx_setLocalized(1);
  needleL.fx_setRealtime(0);

 
}

mover.onTimer() 
{
  int lim = limit;
  
  double chlevR = getLevelR(VUmode);
  if (chlevR > levelR) levelR += ((chlevR - levelR)/rising);// When rising
  levelR += ((chlevR - levelR) / falling);// When falling down

  if (VUmode==4) {
	  
		int Frm = (levelR/255*framesnum);
		if (Frm <1) Frm = 1; 
		beatVisR.gotoFrame(Frm-1);
		
		
	    levelR += ((chlevR - levelR) / (falling-5));
	 
		int FrmS = (levelR/255*framesnum);
		
		if (FrmS <1) FrmS = 1; 
		
		beatVisRSdw.gotoFrame(FrmS-1);
  }
  
  double chlevL = getLevelL(VUmode);
  if (chlevL > levelL) levelL += ((chlevL - levelL)/rising);// When rising
  levelL += ((chlevL - levelL) / falling);// When falling down
 
	if (VUmode==4) {
	  
		int Frm = (levelL/255*framesnum);
		if (Frm <1) Frm = 1; 
		beatVisL.gotoFrame(Frm-1);
		
		
	    levelL += ((chlevL - levelL) / (falling-5));
	 
		int FrmS = (levelL/255*framesnum);
		
		if (FrmS <1) FrmS = 1; 
		
		beatVisLSdw.gotoFrame(FrmS-1);
	}
  double degreeR = lim*(-levelR/127)+lim;
  LARR = degreeR/57.295;// Convert to radians
  needleR.fx_update();

  if (VUmode==3) return;

  double degreeL = lim*(-levelL/127)+lim;
  LARL = degreeL/57.295;// Convert to radians
    
  needleL.fx_update();

}

needleR.fx_onGetPixelR(double r, double d, double x, double y) 
{
  return r + LARR;
}

needleL.fx_onGetPixelR(double r, double d, double x, double y) {
  return r + LARL;
}


/* ПРАВЫЙ И ВЕДУЩИЙ */
getLevelR(int ch) {
	
	if (whatshow == 1)  return getVolume();
	
	if (VUmode == 1 || VUmode == 4) return compress((getRightVuMeter()),sens); 
	
	else if (VUmode == 0)
	{	
		int ltreb;
		for (int i = 0; i < 15; i++) ltreb += System.getVisBand(0, 25 + i * 2);
		ltreb /= 13;
		return compress(ltreb,sens);
	}
	
	else if (VUmode == 3)
	{	
		int LR= (getRightVuMeter()+getLeftVuMeter())/1.8;
	    if  ( LR > 254) LR = 255;
		return compress(LR,sens);
	}
	
}


/* ЛЕВЫЙ */

getLevelL(int ch) {
		
	if (whatshow == 1)  return getVolume();

  	if (VUmode == 1 || VUmode == 4) return compress((getLeftVuMeter()),sens);
	
	else if (VUmode == 0) return compress((getVisBand(0,0) + getVisBand(0,1)+(getLeftVuMeter()/8))/2,sens);
	
}



compress(int val, double c) {
	
	if (VUmode == 4)
	{
		double ni = val*c;
		if (ni > 255) ni = 255;
	    return ni;// Linear
	}
	
	else 
	{
		double niR = val*c;
		int SR=0;
		if (niR > 245) SR = niR - 245;
		niR = (niR*0.8) + S;
		niR = (sqrt(sqrt(niR))*73.813) -100;
		if (niR < 0) niR = 0;
		return   niR;
	}
}

